Box = Core.class(Sprite)

function Box:init(boxObj, textObj)
	self.boxObj = boxObj
	self.isFocus = false
	self.textObj = textObj
	self:addLabel(self.boxObj, self.textObj)
	self:addChild(self.boxObj)
	self:addEventListener(Event.MOUSE_UP, self.onMouseUp, self)
end

function Box:addLabel(parent_sprite, label_text)
    -- Add a label for debugging.
    label = TextField.new(nil, label_text)

    -- Center the label on parent sprite.
    label:setPosition(	parent_sprite:getWidth()/2-label:getWidth()/2,
        parent_sprite:getHeight()/2+label:getHeight()/2)

    -- Add label to the parent sprite.
    parent_sprite:addChild(label)
end

function Box:onMouseUp(event)
    if self:hitTestPoint(event.x, event.y) then
		--if self.isFocus then
			--self.isFocus = false
			if getValue == 0 then
				setValue(true)
			end
		--end
		--event:stopPropagation()
	end
end